### Method

# Foundry Context shutdown

#### Declaration [src]

    DexFuture*
    foundry_context_shutdown (
      FoundryContext* self
    )

#### Description [src]

Requests that the context shutdown and cleanup state.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when the context has shutdown.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.